#ifndef ProtoGenWrapper_GetComInterfaceNameListFromEthernet_H
#define ProtoGenWrapper_GetComInterfaceNameListFromEthernet_H

#include <memory>

#include <Command.h>
namespace ProtoGenWrapper
{
	class ComInterface;

	class GetComInterfaceNameListFromEthernet : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComInterfaceNameListFromEthernet(const ComInterface &comInterface, std::string optionString);
		GetComInterfaceNameListFromEthernet(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetComInterfaceNameListFromEthernet() = delete;

		bool GetValues(ComInterface &comInterface, std::string &optionString);

		static int GetCommandType();
	};
}
#endif // ProtoGenWrapper_GetComInterfaceNameListFromEthernet_H
